# Created by pyp2rpm-3.3.3
%global pypi_name bleson

# tests needs cap_net_raw and cap_net_admin+eip
# capabilities in python3 binary
%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.1.8
Release:        %mkrel 6
Summary:        Bluetooth LE Library
Group:          Development/Python
License:        MIT
URL:            https://github.com/TheCellule/python-bleson
Source0:        https://github.com/TheCellule/python-bleson/archive/RELEASE_%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Bleson is a cross platform Python 3 module for accessing Bluetooth LE API's.

The (planned) supported Bluetooth LE roles are: Observer, Advertiser (inc.
Beacon), Peripheral and Central.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Bleson is a cross platform Python 3 module for accessing Bluetooth LE API's.

The (planned) supported Bluetooth LE roles are: Observer, Advertiser (inc.
Beacon), Peripheral and Central.

%prep
%autosetup -n %{name}-RELEASE_%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# doc build
sphinx-build docs html
# doc build leftovers
rm -rf html/.{buildinfo,doctrees}

%install
%pyproject_install
%pyproject_save_files bleson

# drop tests
rm -rf %{buildroot}%{python3_sitelib}/tests/

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%doc html


%changelog
* Sun Dec 22 2024 papoteur <papoteur> 0.1.8-6.mga10
+ Revision: 2128758
- rebuild for python 3.12

* Sat Dec 09 2023 wally <wally> 0.1.8-5.mga10
+ Revision: 2016200
- build docs

* Sat Dec 09 2023 papoteur <papoteur> 0.1.8-4.mga10
+ Revision: 2016197
- disable doc build, command no more recognized
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.1.8-3.mga9
+ Revision: 1832930
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.1.8-2.mga9
+ Revision: 1785716
- rebuild for python-3.10

* Sun Apr 18 2021 wally <wally> 0.1.8-1.mga9
+ Revision: 1716731
- new version 0.1.8
- new version 0.1.5

* Mon Feb 17 2020 umeabot <umeabot> 0.0.15-2.mga8
+ Revision: 1537511
- Mageia 8 Mass Rebuild

* Sat Nov 02 2019 wally <wally> 0.0.15-1.mga8
+ Revision: 1457332
- imported package python-bleson

